require"starsys"
require"comsys"
require"consys"

function love.load()
    mode=0
    menu = { ud=0, typeable=0}
    stars = {a={x=1, y=1, s=1}, b={x=1, y=1, s=1}, c={x=1, y=1, s=1}, d={x=1, y=1, s=1}, e={x=1, y=1, s=1}, f={x=1, y=1, s=1}, g={x=1, y=1, s=1}, h={x=1, y=1, s=1}, i={x=1, y=1, s=1}, j={x=1, y=1, s=1} }
	star = love.graphics.newImage( "Data/grafix/Starsplanets/star.png")
	ship = {a=love.graphics.newImage( "Data/grafix/Ship/ship.png"), b=love.graphics.newImage( "Data/grafix/Ship/shipr.png"), shot=love.graphics.newImage( "Data/grafix/Ship/Bullet.png")}
	player = {x=150, y=150, xspeed=0, yspeed=0, name="Richard D. James", speed=0, strength=0, brain=0, c={a=1,b=1,c=1}}
	ui = { name=love.graphics.newImage( "Data/grafix/UI Elements/Start UI.png") }
	controltype=0
	controltype=love.joystick.getNumJoysticks()
	seed = {x=0, y=0, s=0}
end
    
function love.update()
    if mode==0 then
	    if menu.ud==0 then
		    typeable=1
		elseif menu.ud>0 then
		    typeable=0
	    end
    elseif mode==6 then
        player.xspeed, player.yspeed = consys.getD( controltype, 5, 5)
	    player.x, player.y = consys.movePlayer( player.x, player.y, player.xspeed, player.yspeed)
		seed.x, seed.y, seed.s = comsys.timemulti( seed.x, seed.y, seed.s, 10, 5, 15, 1.1, 1.01, 9.9)
	end
	
end

function love.keypressed(key, unicode)
    if key=="f1" then
        stars.a.x, stars.a.y, stars.a.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
        stars.b.x, stars.b.y, stars.b.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
		stars.c.x, stars.c.y, stars.c.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
		stars.d.x, stars.d.y, stars.d.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
        stars.e.x, stars.e.y, stars.e.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
		stars.f.x, stars.f.y, stars.f.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
		stars.g.x, stars.g.y, stars.g.s = starsys.ranxys(seed.x, seed.y, seed.s, 0)
		stars.h.x, stars.h.y, stars.h.s = starsys.ranxys(seed.x, seed.y, seed.s, 0.5)
		stars.i.x, stars.i.y, stars.i.s = starsys.ranxys(seed.x, seed.y, seed.s, 0.5)
		stars.j.x, stars.j.y, stars.j.s = starsys.ranxys(seed.x, seed.y, seed.s, 0.5)
	end
	
	if key=="f2" then
	    if controltype>0 then
		    controltype=0
		elseif controltype==0 then
		    controltype=1
		end
	end
	
	if key=="f3" then
	    controltype=love.joystick.getNumJoysticks()
	end
	if mode==0 then
	if typeable==1 then
        if unicode > 31 and unicode < 127 then
            player.name = player.name .. string.char(unicode)
        elseif key=="backspace" then
		    player.name= ""
		end
	end
	if key=="return" then
	    mode=6
	end
	end
	
end

   

function love.draw()
    love.graphics.print(" controltype="..controltype.."",0,0)
	
    if mode==0 then
	    love.graphics.draw( ui.name, 0, 0, 0, 1, 1, 0, 0)
		love.graphics.print( player.name, 493, 39)
    elseif mode==6 then
        --The further stars
	    love.graphics.draw( star, stars.a.x, stars.a.y, 0, stars.a.s, stars.a.s, 0, 0)
        love.graphics.draw( star, stars.b.x, stars.b.y, 0, stars.b.s, stars.b.s, 0, 0)
	    love.graphics.draw( star, stars.c.x, stars.c.y, 0, stars.c.s, stars.c.s, 0, 0)
	    love.graphics.draw( star, stars.d.x, stars.d.y, 0, stars.d.s, stars.d.s, 0, 0)
	    love.graphics.draw( star, stars.e.x, stars.e.y, 0, stars.e.s, stars.e.s, 0, 0)
	    love.graphics.draw( star, stars.f.x, stars.f.y, 0, stars.f.s, stars.f.s, 0, 0)
	    love.graphics.draw( star, stars.g.x, stars.g.y, 0, stars.g.s, stars.g.s, 0, 0)
	    --drawing the ship
		love.graphics.print( "-"..player.name.."-", player.x, player.y-8)
    	love.graphics.draw( ship.a, player.x, player.y, player.xspeed/30, 0.01+player.y/5800, 0.01+player.y/5800, 0, 0)
    	--drawing the closer stars
    	love.graphics.draw( star, stars.h.x, stars.h.y, 0, stars.h.s, stars.h.s, 0, 0)
    	love.graphics.draw( star, stars.i.x, stars.i.y, 0, stars.i.s, stars.i.s, 0, 0)
    	love.graphics.draw( star, stars.j.x, stars.j.y, 0, stars.j.s, stars.j.s, 0, 0)
	end
end